/* Update ActionContainers on Action Name Change */

IF OBJECT_ID('dbo.trg_app_actions_update') IS NOT NULL
  DROP TRIGGER dbo.trg_app_actions_update;
GO

CREATE TRIGGER trg_app_actions_update
  ON AppActions
  WITH ENCRYPTION
AFTER UPDATE
AS
  BEGIN
    DECLARE @ActionID   INT
    DECLARE @ActionName NVARCHAR(50)

    SELECT @ActionID    = Id FROM INSERTED;
    SELECT @ActionName  = Name FROM INSERTED;

    UPDATE ActionContainers
    SET Name = @ActionName
    WHERE AppActionId = @ActionID;
  END;